/**
 * Constant.java 2014-4-24
 * 
 * 天津云翔联动科技有限公司(c) 1995 - 2014 。
 * http://www.soaring-cloud.com.cn
 *
 */
package com.soaringcloud.library.common;


/**
 * <b>Constant。</b>
 * <p><b>详细说明：</b></p>
 * <!-- 在此添加详细说明 -->
 * 无。
 * <p><b>修改列表：</b></p>
 * <table width="100%" cellSpacing=1 cellPadding=3 border=1>
 * <tr bgcolor="#CCCCFF"><td>序号</td><td>作者</td><td>修改日期</td><td>修改内容</td></tr>
 * <!-- 在此添加修改列表，参考第一行内容 -->
 * <tr><td>1</td><td>Wancheng</td><td>2014-4-24 下午1:15:40</td><td>建立类型</td></tr>
 * 
 * </table>
 * @version 1.0
 * @author Wancheng
 * @since 1.0
 */
public class Constant {
	
	
	public static final String BLANK_STR = "";
	/**
	 * 头信息分隔符
	 */
	public static final String HEADER_SEPARATOR = "/";
	
	public static final String CHARSET = "UTF-8";
	/**
	 * 从连接池中得到链接的超时时长（单位：毫秒）：2000
	 */
	public static final int GET_CONN_POOL_TIMEOUT = 2 * 1000;
	
	/**
	 * Http链接超时时长（单位：毫秒）：5000
	 */
	public static final int HTTP_CONN_TIMEOUT = 5 * 1000;
	
	/**
	 * 默认Http Response超时时长（单位：毫秒）：15000
	 */
	public static final int DEFAULT_SOCKET_TIMEOUT = 15 * 1000;
	
	/**
	 * 默认最大连接数：50
	 */
	public static final int MAX_TOTAL_CONNECTIONS = 50;
	
	/**
	 * 默认每个链接的最大路由数：20
	 */
	public static final int MAX_CONNECTIONS_PER_ROUTE = 20;
	
	/**
	 * 默认的Socket缓冲区大小，8K
	 */
	public static final int DEFAULT_SOCKET_BUFFER_SIZE = 8192;
	
	/**
	 * URL转发设置，默认为false
	 */
	public static final boolean DEFAULT_REDIRECTING = false;
	
	public static final boolean STALE_CHECKING_ENABLED = false;
	
	public static final boolean TCP_NO_DELAY = true;
	
}
